package simulation.model;

public class Person {
    private static final int HUMAN_WIDTH_MM = 350;
    private static final int HUMAN_DEPTH_MM = 220;

    /**
     * The speed at which the user walks forward, in centimeters per second.
     */
    private static final float WALKING_SPEED = 140f;

    public final int width;
    public final int depth;

    public final float walkingSpeed;

    public Person() {
        this(HUMAN_WIDTH_MM, HUMAN_DEPTH_MM, WALKING_SPEED);
    }

    public Person(int width, int depth, float walkingSpeed) {
        this.width = width;
        this.depth = depth;
        this.walkingSpeed = walkingSpeed;
    }
}
