package simulation.results;

public interface SimulationResultPrinter {

    /**
     * Handle the results of a info gathering session.
     *
     * @param result The result of the simulation.
     */
    void collect(SimulationResult result);

    /**
     * Output the collected results.
     */
    void print();
}
