package simulation.util;

public class Vector2d {
    public final float x;
    public final float y;

    public Vector2d(float x, float y) {
        this.x = x;
        this.y = y;
    }

    public Vector2d add(Vector2d other) {
        return add(other.x, other.y);
    }

    public Vector2d add(float x, float y) {
        return new Vector2d(
                this.x + x,
                this.y + y
        );
    }

    public Vector2d subtract(Vector2d other) {
        return subtract(other.x, other.y);
    }

    public Vector2d subtract(float x, float y) {
        return add(-x, -y);
    }
}
